# number of CPUs if defined, else 1
%define jobs    %(echo 1%{?_smp_mflags} | sed -e 's/1-j//')

# TODO: Fix underlinking issues
%define _disable_ld_no_undefined 1

%define _python_bytecompile_errors_terminate_build 0

Name:           panda3d
Version:        1.9.4
Release:        %mkrel 2
Summary:        Game engine for Python and C++ 3D games
Group:          Development/Tools
License:        BSD
URL:            https://www.panda3d.org
Source0:        https://www.panda3d.org/download/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:         panda3d-1.9.4-mga-sysconfdir.patch

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(bullet)
BuildRequires:  pkgconfig(eigen3)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libssl)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(ode)
BuildRequires:  pkgconfig(openal)
# TODO: For panda3d 1.10+, package both python2 and python3 modules separately
BuildRequires:  pkgconfig(python)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xxf86dga)
BuildRequires:  pkgconfig(zlib)

%description
Panda3D is a game engine, a framework for 3D rendering and game development
for Python and C++ programs. Panda3D is Open Source and free for any purpose,
including commercial ventures, thanks to its liberal revised BSD license.

%prep
%autosetup -p1

%build
%setup_compile_flags
# (akien) getting an error with ODE library, needs investigation
# ImportError: built/lib/libpandaode.so.1.9: undefined symbol: dBodyGetNumJoints
%ifarch %arm
# Build nodes run out of memory while building 4 C++ files from this package at once
%define threads 1
%else
%define threads %{jobs}
%endif
%{__python2} makepanda/makepanda.py \
    --distributor "%{_vendor}" --threads %{threads} --verbose \
    --everything --no-egl --no-gles --no-gles2 --no-opencv --no-ode

%install
%{__python2} makepanda/installpanda.py \
    --destdir %{buildroot} --prefix %{_prefix}

%files
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/applications/pview.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mime-info/%{name}.{keys,mime}
%{_libdir}/%{name}/
%{_includedir}/%{name}/
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/Confauto.prc
%config(noreplace) %{_sysconfdir}/%{name}/Config.prc
%{_sysconfdir}/ld.so.conf.d/%{name}.conf
%{python2_sitearch}/%{name}/
%{python2_sitearch}/%{name}.pth


%changelog
* Mon Jul 03 2017 pterjan <pterjan> 1.9.4-2.mga6
+ Revision: 1109035
- Only build one file at once on arm

* Mon Jul 03 2017 akien <akien> 1.9.4-1.mga6
+ Revision: 1109011
- Disable ODE integration for now, triggers build failure
- imported package panda3d

